GDB (xrefs)

Public Attributes | List of all members
microblaze_frame_cache Struct Reference

`#include "microblaze-tdep.h"`

## Public Attributes
CORE_ADDR | base
CORE_ADDR | pc
int | frameless_p
int | framesize
int | fp_regnum
int | register_offsets [MICROBLAZE_NUM_REGS]
struct trad_frame_saved_reg * | saved_regs

## Detailed Description

Definition at line 94 of file microblaze-tdep.h.

## Member Data Documentation

## ◆ base

CORE_ADDR microblaze_frame_cache::base

Definition at line 97 of file microblaze-tdep.h.

Referenced by BP_MANIPULATION(), microblaze_frame_base_address(), and microblaze_frame_this_id().

## ◆ fp_regnum

int microblaze_frame_cache::fp_regnum

Definition at line 107 of file microblaze-tdep.h.

Referenced by microblaze_analyze_prologue().

## ◆ frameless_p

int microblaze_frame_cache::frameless_p

Definition at line 101 of file microblaze-tdep.h.

Referenced by BP_MANIPULATION(), microblaze_analyze_prologue(), and microblaze_frame_prev_register().

## ◆ framesize

int microblaze_frame_cache::framesize

Definition at line 104 of file microblaze-tdep.h.

Referenced by microblaze_analyze_prologue().

## ◆ pc

CORE_ADDR microblaze_frame_cache::pc

Definition at line 98 of file microblaze-tdep.h.

Referenced by BP_MANIPULATION(), microblaze_analyze_prologue(), microblaze_frame_cache(), microblaze_frame_this_id(), and microblaze_unwind_pc().

## ◆ register_offsets

int microblaze_frame_cache::register_offsets[MICROBLAZE_NUM_REGS]

Definition at line 110 of file microblaze-tdep.h.

Referenced by microblaze_analyze_prologue(), and microblaze_frame_cache().

## ◆ saved_regs

struct trad_frame_saved_reg* microblaze_frame_cache::saved_regs

Definition at line 113 of file microblaze-tdep.h.

Referenced by microblaze_frame_cache(), and microblaze_frame_prev_register().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/microblaze-tdep.h